<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://gonn0101.com.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: 网蝈蝈 <245539558@qq.com>
// +----------------------------------------------------------------------

namespace Admin\Controller;
use Think\Controller;
use Common\Controller\AuthController;
use Think\Auth;
use Think\Model;
use Think\Db;
use OT\Database;

class PersonaController extends AuthController {
		public function personaList()
	   		{
                $admin=M('persona');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				// foreach($map as $key=>$val) {
				// 	$Page->parameter[$key]=urlencode($val);
				// }
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('personaList',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   			 public function persona_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
	           	$obj=M('persona');
	             	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
					$data['listimg']='/Uploads'.trim(I('post.listimg', '', 'htmlspecialchars'));
                    $data['path']='/Uploads'.trim(I('post.persona', '', 'htmlspecialchars'));
	                $data['time']=date('Y'.年.'m'.月.'d'.日);
	                if($id=$obj->add($data)){
	                detailedlog('persona',session('admin_username'),'人物志管理','添加',"$id",1);
					$this->success('添加成功',U('personaList'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
        		 //编辑
       public function persona_edit(){
	        if (!IS_AJAX){
	    		$admin=M('persona')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('persona');
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
				$data['is_hot']=trim(I('post.is_hot', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($path=trim(I('post.persona', '', 'htmlspecialchars'))){
					$data['path']='/Uploads'.$path;	
					$delbanner=$list['path'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				 if($listimg=trim(I('post.listimg', '', 'htmlspecialchars'))){
					$delcontent=$list['listimg'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delcontent;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);   
				    }
				  $data['listimg']='/Uploads'.$listimg;
			     }
	            $obj->save($data);
	             detailedlog('persona',session('admin_username'),'人物志管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('personaList'),1);
	          }
	     }
	     	      public function persona_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('personaList'),1);
		    	}
		    	$status=M('persona')->where(array('id'=>$id))->getField('is_hot');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('is_hot'=>0);
		    		$auth_group=M('persona')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('否',1,1);
		    	}
		        else
		        {
		    		$statedata = array('is_hot'=>1);
		    		$auth_group=M('persona')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('是',1,1);
		    	}
		    
		      }
		   public function persona_del()
	   		{
				    $id=$_REQUEST['id'];
			   		$admin=M('persona');
					$list=$admin->where("id='$id'")->find();

					$path=$list['path'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$path;
					if(!empty($filepathOne)){
					unlink($filepathOne);     
					}
					$listimg=$list['listimg'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$listimg;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);     
					}
					$persona =$admin->where(array('id'=>$id))->delete();
				    detailedlog('persona',session('admin_username'),'人物志管理','删除',"$id",1);
					$this->redirect('personaList');
	   		}
	   public function TeamList()
	   		{
                $admin=M('team');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				// foreach($map as $key=>$val) {
				// 	$Page->parameter[$key]=urlencode($val);
				// }
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('teamList',$admin_list);
				$this->assign('page',$show);		
				$this->display('teamList');
	   		}

	   public function team_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display('team_add');
	           }
	           else
	           {
	           	$obj=M('team');
					$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
                    $data['path']='/Uploads'.trim(I('post.persona', '', 'htmlspecialchars'));
	                $data['time']=date('Y'.年.'m'.月.'d'.日);
	                if($id=$obj->add($data)){
	                detailedlog('persona',session('admin_username'),'团队风采管理','添加',"$id",1);
					$this->success('添加成功',U('TeamList'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
	     public function team_del()
	   		{
		    $id=$_REQUEST['id'];
	   		$admin=M('team');
			$list=$admin->where("id='$id'")->find();

			$listimg=$list['path'];
			$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$listimg;
			if(!empty($filepathOne)){
			unlink($filepathOne);     
			}
			$persona =$admin->where(array('id'=>$id))->delete();
		    detailedlog('persona',session('admin_username'),'人物志管理','删除',"$id",1);
			$this->redirect('TeamList');
	   		}


	   			   	//经理说列表
	   			public function managesay_list()
	   		{
                $admin=M('managersay');
                $where['status']=1;
				$count= $admin->where($where)->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->where($where)->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('managesay_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   		 public function managesay_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
	           	$obj=M('managersay');
					$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['listimg']='/Uploads'.trim(I('post.listimg', '', 'htmlspecialchars'));
                    $data['path']='/Uploads'.trim(I('post.path', '', 'htmlspecialchars'));
                    $data['is_hot']=trim(I('post.is_hot', '', 'htmlspecialchars'));
	                $data['time']=time();
	                if($id=$obj->add($data)){
	                detailedlog('managersay',session('admin_username'),'经理说管理','添加',"$id",1);
					$this->success('添加成功',U('managesay_list'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
		 //编辑
       public function managesay_edit(){
	        if (!IS_AJAX){
	    		$admin=M('managersay')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('managersay');
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['is_hot']=trim(I('post.is_hot', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($listimg=trim(I('post.listimg', '', 'htmlspecialchars'))){
					$data['listimg']='/Uploads'.$listimg;	
					$delbanner=$list['listimg'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				 if($path=trim(I('post.path', '', 'htmlspecialchars'))){
					$delcontent=$list['path'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delcontent;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);   
				    }
				  $data['path']='/Uploads'.$path;
			     }
	            $obj->save($data);
	             detailedlog('managersay',session('admin_username'),'经理说管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('managesay_list'),1);
	          }
	     }
        public function managersay_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('managesay_list'),1);
		    	}
		    	$status=M('managersay')->where(array('id'=>$id))->getField('is_hot');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('is_hot'=>0);
		    		$auth_group=M('managersay')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('否',1,1);
		    	}
		        else
		        {
		    		$statedata = array('is_hot'=>1);
		    		$auth_group=M('managersay')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('是',1,1);
		    	}
		    
		      }
		   	     public function managesay_del()
	   		{
			    $id=$_REQUEST['id'];
		   		$admin=M('managersay');
			    $where['status']=0;
				$managesayDel =$admin->where(array('id'=>$id))->save($where);
			    detailedlog('managersay',session('admin_username'),'经理说管理','删除',"$id",1);
				$this->redirect('managesay_list');
	   		}
	   	 		//思进课堂
            		public function thinkAbout_list()
	   		{
                $admin=M('sijinnotice');
                $where['statue']=1;
				$count= $admin->where($where)->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->where($where)->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$sijincount=M("sijincount")->field('count(articleid) as countsize,articleid')->group('articleid')->select();
              $arr=array();
              foreach ($sijincount as $key => $v) {
              $arr[]=$v['articleid'];
              }
              $newArr = array();
              foreach ($sijincount as $k => $vv) {
              $newArr[$vv['articleid']] = $vv['countsize'];
              }
              foreach ($admin_list as $ke => &$vo) {
                 $admin_list[$ke]['time']=date('Y.m.d',$vo['time']);
                 $admin_list[$ke]['imgpath']=C("HTTP").$vo['imgpath'];
                if(in_array($vo['id'], $arr)){
                $vo['countsize'] = $newArr[$vo['id']];
                }else{
                   $vo['countsize'] =0;
                }
               }
				$this->assign('thinkAbout_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   		        public function thinkAbout_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('thinkAbout_list'),1);
		    	}
		    	$status=M('sijinnotice')->where(array('id'=>$id))->getField('statue');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('statue'=>0);
		    		$auth_group=M('sijinnotice')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('关闭',1,1);
		    	}
		        else
		        {
		    		$statedata = array('statue'=>1);
		    		$auth_group=M('sijinnotice')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('开启',1,1);
		    	}
		    
		      }

		       public function thinkAbout_del()
	   		{
			    $id=$_REQUEST['id'];
		   		$admin=M('sijinnotice');
			    $where['statue']=0;
				$thinkAboutDel =$admin->where(array('id'=>$id))->save($where);
			    detailedlog('sijinnotice',session('admin_username'),'思进课堂管理','删除',"$id",1);
				$this->redirect('thinkAbout_list');
	   		}

              public function thinkAbout_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display('thinkAbout_add');
	           }
	           else
	           {
	           	$obj=M('sijinnotice');
	             	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
                    $data['imgpath']='/Uploads'.trim(I('post.imgpath', '', 'htmlspecialchars'));
	                $data['time']=time();
	                if($id=$obj->add($data)){
	                detailedlog('sijinnotice',session('admin_username'),'思进课堂管理','添加',"$id",1);
					$this->success('添加成功',U('thinkAbout_list'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}

		   		 //编辑
       public function thinkAbout_edit(){
	        if (!IS_AJAX){
	    		$admin=M('sijinnotice')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('sijinnotice');
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['statue']=trim(I('post.statue', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($imgpath=trim(I('post.imgpath', '', 'htmlspecialchars'))){
					$data['imgpath']='/Uploads'.$imgpath;	
					$delbanner=$list['imgpath'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
	            $obj->save($data);
	             detailedlog('sijinnotice',session('admin_username'),'思进课堂管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('thinkAbout_list'),1);
	          }
	     }
	}