<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://gonn0101.com.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: 网蝈蝈 <245539558@qq.com>
// +----------------------------------------------------------------------

namespace Admin\Controller;
use Think\Controller;
use Common\Controller\AuthController;
use Think\Auth;
use Think\Model;
use Think\Db;
use OT\Database;

class PersonaController extends AuthController {
		public function personaList()
	   		{
                $admin=M('team_demeanor');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				// foreach($map as $key=>$val) {
				// 	$Page->parameter[$key]=urlencode($val);
				// }
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('personaList',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   			 public function persona_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
	           	$obj=M('team_demeanor');
	             	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
					$data['type']=trim(I('post.type', '', 'htmlspecialchars'));
					$data['listimg']='/Uploads'.trim(I('post.listimg', '', 'htmlspecialchars'));
                    $data['path']='/Uploads'.trim(I('post.persona', '', 'htmlspecialchars'));
	                $data['time']=date('Y'.年.'m'.月.'d'.日);
	                if($id=$obj->add($data)){
	                detailedlog('team_demeanor',session('admin_username'),'人物志管理','添加',"$id",1);
					$this->success('添加成功',U('personaList'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
        		 //编辑
       public function persona_edit(){
	        if (!IS_AJAX){
	    		$admin=M('team_demeanor')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('team_demeanor');
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['type']=trim(I('post.type', '', 'htmlspecialchars'));
				$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
				$data['is_hot']=trim(I('post.is_hot', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($path=trim(I('post.persona', '', 'htmlspecialchars'))){
					$data['path']='/Uploads'.$path;	
					$delbanner=$list['path'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				 if($listimg=trim(I('post.listimg', '', 'htmlspecialchars'))){
					$delcontent=$list['listimg'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delcontent;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);   
				    }
				  $data['listimg']='/Uploads'.$listimg;
			     }
	            $obj->save($data);
	             detailedlog('persona',session('admin_username'),'人物志管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('personaList'),1);
	          }
	     }
	     	      public function persona_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('personaList'),1);
		    	}
		    	$status=M('team_demeanor')->where(array('id'=>$id))->getField('is_hot');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('is_hot'=>0);
		    		$auth_group=M('team_demeanor')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('否',1,1);
		    	}
		        else
		        {
		    		$statedata = array('is_hot'=>1);
		    		$auth_group=M('team_demeanor')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('是',1,1);
		    	}
		    
		      }
		   public function persona_del()
	   		{
				    $id=$_REQUEST['id'];
			   		$admin=M('team_demeanor');
					$list=$admin->where("id='$id'")->find();

					$path=$list['path'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$path;
					if(!empty($filepathOne)){
					unlink($filepathOne);     
					}
					$listimg=$list['listimg'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$listimg;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);     
					}
					$team_demeanor =$admin->where(array('id'=>$id))->delete();
				    detailedlog('team_demeanor',session('admin_username'),'人物志管理','删除',"$id",1);
					$this->redirect('personaList');
	   		}
	   public function TeamList()
	   		{
                $admin=M('sijinnotice');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$sijincount=M("sijincount")->field('count(articleid) as countsize,articleid')->group('articleid')->select();
	              $arr=array();
	              foreach ($sijincount as $key => $v) {
	              $arr[]=$v['articleid'];
	              }
	              $newArr = array();
	              foreach ($sijincount as $k => $vv) {
	              $newArr[$vv['articleid']] = $vv['countsize'];
	              }
	              foreach ($admin_list as $ke => &$vo) {
	                if(in_array($vo['id'], $arr)){
	                  $vo['countsize'] = $newArr[$vo['id']];
	                }else{
	                  $vo['countsize'] =0;
	                }
               }
				$this->assign('teamList',$admin_list);
				$this->assign('page',$show);		
				$this->display('teamList');
	   		}
	        public function team_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('teamList'),1);
		    	}
		    	$status=M('sijinnotice')->where(array('id'=>$id))->getField('statue');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('statue'=>0);
		    		$auth_group=M('sijinnotice')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('关闭',1,1);
		    	}
		        else
		        {
		    		$statedata = array('statue'=>1);
		    		$auth_group=M('sijinnotice')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('开启',1,1);
		    	}
		      }
	   public function team_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display('team_add');
	           }
	           else
	           {
	             	$obj=M('sijinnotice');
	             	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
                    $data['imgpath']='/Uploads'.trim(I('post.imgpath', '', 'htmlspecialchars'));
	                $data['time']=time();
	                if($id=$obj->add($data)){
	                detailedlog('sijinnotice',session('admin_username'),'团队风采管理','添加',"$id",1);
					$this->success('添加成功',U('TeamList'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
		   	  public function team_edit()
		   	{
		   		if(!IS_AJAX)
	           {
	           	$admin=M('sijinnotice')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display('team_edit');
	           }
	           else
	           {
	           	$obj=M('sijinnotice');
		           	$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
		           	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['wxUrl']=trim(I('post.wxUrl', '', 'htmlspecialchars'));
					if(I('post.imgpath')){
                      $data['imgpath']='/Uploads'.trim(I('post.imgpath', '', 'htmlspecialchars'));
					}
	                if($id=$obj->save($data)){
	                detailedlog('sijinnotice',session('admin_username'),'团队风采管理','编辑',"$id",1);
					$this->success('编辑成功',U('TeamList'),1);
                    }
                    else
                    {
                     $this->error('编辑失败');
                    }
			    }
		   	}
	     public function team_del()
	   		{
		    $id=$_REQUEST['id'];
	   		$admin=M('sijinnotice');
			$list=$admin->where("id='$id'")->find();

			$listimg=$list['imgpath'];
			$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$listimg;
			if(!empty($filepathOne)){
			unlink($filepathOne);     
			}
			$persona =$admin->where(array('id'=>$id))->delete();
		    detailedlog('sijinnotice',session('admin_username'),'团队风采管理','删除',"$id",1);
			$this->redirect('TeamList');
	   		}


	   			   	//经理说列表
	   			public function managesay_list()
	   		{
                $admin=M('managersay');
                $where['status']=1;
				$count= $admin->where($where)->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->where($where)->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('managesay_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   		 public function managesay_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
	           	$obj=M('managersay');
					$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
					$data['listimg']='/Uploads'.trim(I('post.listimg', '', 'htmlspecialchars'));
                    $data['path']='/Uploads'.trim(I('post.path', '', 'htmlspecialchars'));
                    $data['is_hot']=trim(I('post.is_hot', '', 'htmlspecialchars'));
	                $data['time']=time();
	                if($id=$obj->add($data)){
	                detailedlog('managersay',session('admin_username'),'经理说管理','添加',"$id",1);
					$this->success('添加成功',U('managesay_list'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
		 //编辑
       public function managesay_edit(){
	        if (!IS_AJAX){
	    		$admin=M('managersay')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('managersay');
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['is_hot']=trim(I('post.is_hot', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($listimg=trim(I('post.listimg', '', 'htmlspecialchars'))){
					$data['listimg']='/Uploads'.$listimg;	
					$delbanner=$list['listimg'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				 if($path=trim(I('post.path', '', 'htmlspecialchars'))){
					$delcontent=$list['path'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delcontent;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);   
				    }
				  $data['path']='/Uploads'.$path;
			     }
	            $obj->save($data);
	             detailedlog('managersay',session('admin_username'),'经理说管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('managesay_list'),1);
	          }
	     }
        public function managersay_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('managesay_list'),1);
		    	}
		    	$status=M('managersay')->where(array('id'=>$id))->getField('is_hot');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('is_hot'=>0);
		    		$auth_group=M('managersay')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('否',1,1);
		    	}
		        else
		        {
		    		$statedata = array('is_hot'=>1);
		    		$auth_group=M('managersay')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('是',1,1);
		    	}
		    
		      }
		   	     public function managesay_del()
	   		{
			    $id=$_REQUEST['id'];
		   		$admin=M('managersay');
			    $where['status']=0;
				$managesayDel =$admin->where(array('id'=>$id))->save($where);
			    detailedlog('managersay',session('admin_username'),'经理说管理','删除',"$id",1);
				$this->redirect('managesay_list');
	   		}
	   		//思进课堂
            		public function thinkAbout_list()
	   		{
                $admin=M('think_ahead_class');
				$count= $admin->where($where)->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->where($where)->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$tached_classcount=M("tached_classcount")->field('count(articleid) as countsize,articleid')->group('articleid')->select();
	              $arr=array();
	              foreach ($tached_classcount as $key => $v) {
	              $arr[]=$v['articleid'];
	              }
	              $newArr = array();
	              foreach ($tached_classcount as $k => $vv) {
	              $newArr[$vv['articleid']] = $vv['countsize'];
	              }
	              foreach ($admin_list as $ke => &$vo) {
	                $admin_list[$ke]['imgpath']=C("HTTP").$vo['imgpath'];
	                if(in_array($vo['id'], $arr)){
	                  $vo['countsize'] = $newArr[$vo['id']];
	                }else{
	                  $vo['countsize'] =0;
	                }
               }
				$this->assign('thinkAbout_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   		        public function thinkAbout_state()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('thinkAbout_list'),1);
		    	}
		    	$status=M('think_ahead_class')->where(array('id'=>$id))->getField('state');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('state'=>0);
		    		$auth_group=M('think_ahead_class')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('关闭',1,1);
		    	}
		        else
		        {
		    		$statedata = array('state'=>1);
		    		$auth_group=M('think_ahead_class')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('开启',1,1);
		    	}
		    
		      }
        public function thinkAbout_hot()
		      {
		    	$id=I('x');
		    	if (empty($id))
		        {
		    		$this->error('次ID不存在',U('thinkAbout_list'),1);
		    	}
		    	$status=M('think_ahead_class')->where(array('id'=>$id))->getField('is_hot');//判断当前状态情况
		    	if($status==1)
		        {
		    		$statedata = array('is_hot'=>0);
		    		$auth_group=M('think_ahead_class')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('否',1,1);
		    	}
		        else
		        {
		    		$statedata = array('is_hot'=>1);
		    		$auth_group=M('think_ahead_class')->where(array('id'=>$id))->setField($statedata);
		    		$this->success('是',1,1);
		    	}
		    
		      }
		       public function thinkAbout_del()
	   		{
			    $id=$_REQUEST['id'];
		   		$admin=M('think_ahead_class');
				$thinkAboutDel =$admin->where(array('id'=>$id))->delete();
			    detailedlog('think_ahead_class',session('admin_username'),'思进课堂管理','删除',"$id",1);
				$this->redirect('thinkAbout_list');
	   		}

              public function thinkAbout_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display('thinkAbout_add');
	           }
	           else
	           {
	           	$obj=M('think_ahead_class');
	           	    $data['introduce']=trim(I('post.introduce', '', 'htmlspecialchars'));
	           	    $data['category']=trim(I('post.category', '', 'htmlspecialchars'));
	             	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
	             	 $data['keword']=trim(I('post.keword', '', 'htmlspecialchars'));
					 $data['type']=2;
					$data['picture_path']='/Uploads'.trim(I('post.picture_path', '', 'htmlspecialchars'));
                    $data['path']=trim(I('post.details', '', 'htmlspecialchars'));
	                $data['time']=time();
	                $data['state']=trim(I('post.state', '', 'htmlspecialchars'));
	                if($id=$obj->add($data)){
	                detailedlog('think_ahead_class',session('admin_username'),'思进课堂管理','添加',"$id",1);
					$this->success('添加成功',U('thinkAbout_list'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}
       public function thinkvideo_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display('thinkvideo_add');
	           }
	           else
	           {
	           	$obj=M('think_ahead_class');
	           	    $data['introduce']=trim(I('post.introduce', '', 'htmlspecialchars'));
	           	    $data['category']=trim(I('post.category', '', 'htmlspecialchars'));
	             	$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
	                $data['keword']=trim(I('post.keword', '', 'htmlspecialchars'));
					$data['type']=1;
					$data['picture_path']='/Uploads'.trim(I('post.picture_path', '', 'htmlspecialchars'));
                    $data['path']='/Uploads'.trim(I('post.path', '', 'htmlspecialchars'));
	                $data['time']=time();
	                $data['state']=trim(I('post.state', '', 'htmlspecialchars'));
	                if($id=$obj->add($data)){
	                	$c=array();
						$c['v_id']=$id;
                    $adminRow=M('admin')->field('admin_id')->where("admin_status=1")->order('admin_id asc')->select();
						foreach ($adminRow as $key => $b) {
						$c['u_id']=$b['admin_id'];
						$tahead_class_course=M("tahead_class_course");
						$tahead_class_course->add($c);
						}  
	                detailedlog('think_ahead_class',session('admin_username'),'思进课堂管理','添加',"$id",1);
					$this->success('添加成功',U('thinkAbout_list'),1);
                    }
                    else
                    {
                    	$this->error('添加失败');
                    }
			    }
		   	}

	   		 //编辑
       public function thinkvideo_edit(){
	        if (!IS_AJAX){
	    		$admin=M('think_ahead_class')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('think_ahead_class');
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['category']=trim(I('post.category', '', 'htmlspecialchars'));
	            $data['keword']=trim(I('post.keword', '', 'htmlspecialchars'));
	            $data['introduce']=trim(I('post.introduce', '', 'htmlspecialchars'));
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['state']=trim(I('post.statue', '', 'htmlspecialchars'));
				$data['type']=trim(I('post.type', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($picture_path=trim(I('post.picture_path', '', 'htmlspecialchars'))){
					$data['picture_path']='/Uploads'.$picture_path;	
					$delbanner=$list['picture_path'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				if($path=trim(I('post.path', '', 'htmlspecialchars'))){
					$data['path']='/Uploads'.$path;	
					$delpicture_path=$list['path'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delpicture_path;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);
					}
				}
	            $obj->save($data);
	             detailedlog('think_ahead_class',session('admin_username'),'思进课堂管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('thinkAbout_list'),1);
	          }
	     }

		   		 //编辑
       public function thinkAbout_edit(){
	        if (!IS_AJAX){
	    		$admin=M('think_ahead_class')->where(array('id'=>I('id')))->find();
	    		$this->assign('list',$admin);
	    		$this->display();
	        }else{
				$obj=M('think_ahead_class');
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
	                $data['keword']=trim(I('post.keword', '', 'htmlspecialchars'));
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
				$data['state']=trim(I('post.statue', '', 'htmlspecialchars'));
				$data['type']=trim(I('post.type', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($imgpath=trim(I('post.imgpath', '', 'htmlspecialchars'))){
					$data['imgpath']='/Uploads'.$imgpath;	
					$delbanner=$list['imgpath'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				if($picture_path=trim(I('post.picture_path', '', 'htmlspecialchars'))){
					$data['picture_path']='/Uploads'.$picture_path;	
					$delpicture_path=$list['picture_path'];
					$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delpicture_path;
					if(!empty($filepathTwo)){
					unlink($filepathTwo);
					}
				}
	            $obj->save($data);
	             detailedlog('think_ahead_class',session('admin_username'),'思进课堂管理','编辑',"{$data['id']}",1);
	            $this->success('修改成功',U('thinkAbout_list'),1);
	          }
	     }
	}